%define upstream_name Alt-Crypt-RSA-BigInt
%define upstream_version 0.05

%{?perl_default_filter}
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 7

Summary:	RSA public-key cryptosystem, using Math::BigInt
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://metacpan.org/release/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Alt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Bytes::Random::Secure)
BuildRequires:	perl(Class::Loader)
BuildRequires:	perl(Convert::ASCII::Armour)
BuildRequires:	perl(Crypt::Blowfish)
BuildRequires:	perl(Data::Buffer)
BuildRequires:	perl(Digest::MD2)
BuildRequires:	perl(Math::Prime::Util)
BuildRequires:	perl(Sort::Versions)
BuildRequires:	perl(Tie::EncryptedHash)

Conflicts:	perl-Crypt-RSA

BuildArch:	noarch

%description
This is a rework of Crypt::RSA to remove Math::Pari and instead base
all operations on Math::BigInt.

%prep
%setup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.50.0-7pclos2017
- rebuild against updates

